"""Conc plot result class."""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/api/77_plot.ipynb.

# %% ../nbs/api/77_plot.ipynb 3
from __future__ import annotations
from fastcore.basics import patch
from IPython.display import display, HTML

# %% auto 0
__all__ = ['Plot']

# %% ../nbs/api/77_plot.ipynb 6
class Plot:
	def __init__(self,
			  type: str, # report type
			  html: str, # HTML representation of the plot, may include js/css
			  ): 

		""" Class for handling delivery of Conc plot results """
		self.type = type
		self.html = html
		


# %% ../nbs/api/77_plot.ipynb 7
@patch
def to_html(self: Plot
			 ):
	""" Return HTML string for plot """
	
	return self.html

# %% ../nbs/api/77_plot.ipynb 8
@patch
def to_file(self: Plot,
			filename:str, # filename to write HTML to
			encoding = 'utf-8', # encoding string for writing file 
			):
	""" Return HTML string for plot """

	with open(filename, 'w', encoding=encoding) as f:
		f.write(self.html)

# %% ../nbs/api/77_plot.ipynb 9
@patch
def display(self: Plot
			   ):
	""" Show the plot in a Jupyter notebook """
	
	display(HTML(self.html))

